## grub2-signed 1.185

=== debian/changelog ===
grub2-signed (1.185) kinetic; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu12.

 -- dann frazier <dannf@ubuntu.com>  Mon, 19 Sep 2022 15:58:20 -0600

grub2-signed (1.184) kinetic; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu11.

 -- dann frazier <dannf@ubuntu.com>  Wed, 14 Sep 2022 14:19:51 -0600

grub2-signed (1.183) kinetic; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu10, take 2 (source-only upload)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 17 Aug 2022 18:16:54 +0200

grub2-signed (1.182) kinetic; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu10.

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 07 Jul 2022 12:40:36 +0100

=== debian/control ===
Source: grub2-signed
Section: utils
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu12) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu12) [arm64]
Standards-Version: 3.9.5
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

Package: grub-efi-amd64-signed
Architecture: amd64
Depends: ${misc:Depends}, grub-efi-amd64-bin (= ${grub2:Version}), grub-efi-amd64 | grub-pc, grub2-common (>= ${grub2-common:Version})
Recommends: secureboot-db
Built-Using: grub2 (= ${grub2:Version})
Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB built for use with the EFI-AMD64
 architecture, signed with Canonical's UEFI signing key.

Package: grub-efi-arm64-signed
Architecture: arm64
Depends: ${misc:Depends}, grub-efi-arm64 (= ${grub2:Version})
Recommends: secureboot-db
Built-Using: grub2 (= ${grub2:Version})
Description: GRand Unified Bootloader, version 2 (EFI-ARM64 version, signed)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB built for use with the EFI-ARM64
 architecture, signed with Canonical's UEFI signing key.

## grub2-signed 1.187.3~18.04.1

=== debian/changelog ===
grub2-signed (1.187.3~18.04.1) bionic; urgency=medium

  * Build against grub2 2.06-2ubuntu14.1 (LP: #1842320)
  * Add check that we are not signed with a revoked key
  * Incorporate changes from the bionic branch:
    - Bump grub2-common dependency to 2.02~beta2-36ubuntu3.33 in xenial and
      2.02-2ubuntu8.25 in bionic to fix LP #1995751

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 30 Jan 2023 12:09:44 +0100

grub2-signed (1.187.2) kinetic; urgency=medium

  * Resign with 2022v1 signing key

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 09 Jan 2023 17:22:33 +0100

grub2-signed (1.187.1) kinetic; urgency=medium

  * Source debconf in postinst script (LP: #1997779)
  * Really rebuild against grub2 2.06-2ubuntu14 (LP: #1996950)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 02 Dec 2022 15:12:11 +0100

grub2-signed (1.187) kinetic; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14 (LP: #1996950)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 21 Nov 2022 12:29:22 +0000

grub2-signed (1.186) kinetic; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu13 (LP: #1989446)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 20 Oct 2022 21:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu12) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu12) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.1) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.1) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel
 
 Package: grub-efi-amd64-signed
 Architecture: amd64
-Depends: ${misc:Depends}, grub-efi-amd64-bin (= ${grub2:Version}), grub-efi-amd64 | grub-pc, grub2-common (>= ${grub2-common:Version})
+Depends: ${misc:Depends}, debconf (>= 0.5) | debconf-2.0, grub-efi-amd64-bin (= ${grub2:Version}), grub-efi-amd64 | grub-pc, grub2-common (>= ${grub2-common:Version})
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
@@ -27,7 +27,7 @@
 
 Package: grub-efi-arm64-signed
 Architecture: arm64
-Depends: ${misc:Depends}, grub-efi-arm64 (= ${grub2:Version})
+Depends: ${misc:Depends}, debconf (>= 0.5) | debconf-2.0, grub-efi-arm64 (= ${grub2:Version})
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-ARM64 version, signed)

## grub2-signed 1.187.3~20.04.1

=== debian/changelog ===
grub2-signed (1.187.3~20.04.1) focal; urgency=medium

  * Build against grub2 2.06-2ubuntu14.1 (LP: #1842320)
  * Add check that we are not signed with a revoked key
  * Incorporate changes from the bionic branch:
    - Bump grub2-common dependency to 2.02~beta2-36ubuntu3.33 in xenial and
      2.02-2ubuntu8.25 in bionic to fix LP #1995751

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 30 Jan 2023 12:09:44 +0100

## grub2-signed 1.187.3~22.04.1

=== debian/changelog ===
grub2-signed (1.187.3~22.04.1) jammy; urgency=medium

  * Build against grub2 2.06-2ubuntu14.1 (LP: #1842320)
  * Add check that we are not signed with a revoked key
  * Incorporate changes from the bionic branch:
    - Bump grub2-common dependency to 2.02~beta2-36ubuntu3.33 in xenial and
      2.02-2ubuntu8.25 in bionic to fix LP #1995751

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 30 Jan 2023 12:09:44 +0100

## grub2-signed 1.187.3

=== debian/changelog ===
grub2-signed (1.187.3) kinetic; urgency=medium

  * Build against grub2 2.06-2ubuntu14.1 (LP: #1842320)
  * Add check that we are not signed with a revoked key
  * Incorporate changes from the bionic branch:
    - Bump grub2-common dependency to 2.02~beta2-36ubuntu3.33 in xenial and
      2.02-2ubuntu8.25 in bionic to fix LP #1995751

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 30 Jan 2023 12:09:44 +0100

## grub2-signed 1.187.4~20.04.1

=== debian/changelog ===
grub2-signed (1.187.4~20.04.1) focal; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.2 (LP: #2004643)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 29 Mar 2023 13:06:27 +0200

## grub2-signed 1.187.4

=== debian/changelog ===
grub2-signed (1.187.4) kinetic; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.2 (LP: #2004643)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 29 Mar 2023 13:06:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.1) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.1) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.2) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.2) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.187.6~20.04.1

=== Makefile ===
include /usr/share/dpkg/default.mk

PLATFORM := UNKNOWN-PLATFORM
EFI_NAME := UNKNOWN-EFI-NAME

ifeq ($(DEB_HOST_ARCH),amd64)
PLATFORM := x86_64-efi
EFI_NAME := x64
endif

ifeq ($(DEB_HOST_ARCH),arm64)
PLATFORM := arm64-efi
EFI_NAME := aa64
endif

SIGNED := \
	current/grub$(EFI_NAME).efi.signed \
	current/gcd$(EFI_NAME).efi.signed \
	current/grubnet$(EFI_NAME).efi.signed

all: $(SIGNED)

$(SIGNED):
	./download-signed grub-efi-$(DEB_HOST_ARCH) current grub2 uefi

check:
	cmp current/grub$(EFI_NAME).efi /usr/lib/grub/$(PLATFORM)/monolithic/grub$(EFI_NAME).efi
	! ./is-revoked $(SIGNED)

install: $(SIGNED)
	install -d $(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed
	install -m0644 $(SIGNED) current/version \
		$(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed/

clean:
	rm -rf current/

=== debian/changelog ===
grub2-signed (1.187.6~20.04.1) focal; urgency=high

  * Rebuild against grub2 2.06-2ubuntu14.4

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 02 Oct 2023 16:44:22 +0100

## grub2-signed 1.187.6

=== debian/changelog ===
grub2-signed (1.187.6) jammy; urgency=high

  * Rebuild against grub2 2.06-2ubuntu14.4

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 02 Oct 2023 16:44:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.2) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.2) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.4) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.4) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

ifeq ($(DEB_DISTRIBUTION), trusty)
GRUB2_COMMON_VERSION:=2.02~beta2-9ubuntu1.22
else ifeq ($(DEB_DISTRIBUTION), xenial)
GRUB2_COMMON_VERSION:=2.02~beta2-36ubuntu3.33
else ifeq ($(DEB_DISTRIBUTION), bionic)
GRUB2_COMMON_VERSION:=2.02-2ubuntu8.25
else
GRUB2_COMMON_VERSION:=2.02+dfsg1-5
endif

%:
	dh $@ --max-parallel=1

destdir := debian/grub-efi-$(DEB_HOST_ARCH)-signed
docdir  := $(destdir)/usr/share/doc/grub-efi-$(DEB_HOST_ARCH)-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat current/version) \
		-Vgrub2:Version=$(shell cat current/version) \
		-Vgrub2-common:Version=$(GRUB2_COMMON_VERSION)

override_dh_auto_install:
	dh_auto_install --destdir=$(destdir)

## grub2-signed 1.187.8~20.04.1

=== debian/changelog ===
grub2-signed (1.187.8~20.04.1) focal; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.5
  * Fixes (LP: #2043084)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 10 Nov 2023 09:21:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.4) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.4) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.5) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.5) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.187.8

=== debian/changelog ===
grub2-signed (1.187.8) jammy; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.5
  * Fixes (LP: #2043084)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 10 Nov 2023 09:21:48 +0200

## grub2-signed 1.187.9~20.04.1

=== debian/changelog ===
grub2-signed (1.187.9~20.04.1) focal; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.6 (LP: #2073634)

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 11 Sep 2024 14:30:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.5) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.5) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.6) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.6) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.187.9

=== debian/changelog ===
grub2-signed (1.187.9) jammy; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.6 (LP: #2073634)

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 11 Sep 2024 14:30:53 +0100

## grub2-signed 1.187.12~20.04

=== debian/changelog ===
grub2-signed (1.187.12~20.04) focal; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.8 (LP: #2055835)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 28 Mar 2025 10:20:31 +0000

grub2-signed (1.187.10) jammy; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.7

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 21 Feb 2025 11:21:53 +0000

## grub2-signed 1.187.12

=== debian/changelog ===
grub2-signed (1.187.12) jammy; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu14.8 (LP: #2055835)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 28 Mar 2025 10:20:31 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.6) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.6) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.8) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.8) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.192

=== debian/changelog ===
grub2-signed (1.192) lunar; urgency=medium

  * Resign with 2022v1 key
  * Add check that we are not signed with a revoked key

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 25 Jan 2023 15:27:05 +0100

grub2-signed (1.190) lunar; urgency=medium

  ebuild against grub2 2.06-2ubuntu16

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 09 Dec 2022 17:14:09 +0100

grub2-signed (1.189) lunar; urgency=medium

  * Really rebuild against grub2 2.06-2ubuntu15

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 01 Dec 2022 17:13:46 +0100

grub2-signed (1.188) lunar; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu15
  * Source debconf in postinst script (LP: #1997779)
  * Still signed with the old key

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 01 Dec 2022 17:08:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu14.8) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu14.8) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu16) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu16) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.193

=== debian/changelog ===
grub2-signed (1.193) lunar; urgency=medium

  * Rebuild against grub2 2.06-2ubuntu17 (LP: #2004643)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 29 Mar 2023 10:24:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu16) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu16) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu17) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu17) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.193.2

=== debian/changelog ===
grub2-signed (1.193.2) lunar; urgency=high

  * Rebuild against grub2 2.06-2ubuntu17.2

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 02 Oct 2023 16:46:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu17) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu17) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu17.2) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu17.2) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.194

=== debian/changelog ===
grub2-signed (1.194) mantic; urgency=medium

  *  Rebuild against grub2 2.12~rc1-4ubuntu1

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 25 Jul 2023 17:52:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu17.2) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu17.2) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-4ubuntu1~) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-4ubuntu1~) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.197

=== debian/changelog ===
grub2-signed (1.197) mantic; urgency=high

  * Rebuild against grub2 2.12~rc1-10ubuntu4

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 02 Oct 2023 16:47:24 +0100

grub2-signed (1.195) mantic; urgency=medium

  * Rebuild against grub2 2.12~rc1-10ubuntu2

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Sep 2023 16:09:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-4ubuntu1~) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-4ubuntu1~) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-10ubuntu4) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-10ubuntu4) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.197.1

=== debian/changelog ===
grub2-signed (1.197.1) mantic; urgency=medium

  * Rebuild against grub2 2.12~rc1-10ubuntu4.1

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 10 Nov 2023 11:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-10ubuntu4) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-10ubuntu4) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-10ubuntu4.1) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-10ubuntu4.1) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.197.2

=== debian/changelog ===
grub2-signed (1.197.2) mantic; urgency=medium

  * Rebuild against grub2 2.12~rc1-10ubuntu4.2 (LP: #2057679) (LP: #2054127)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 04 Apr 2024 11:44:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-10ubuntu4.1) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-10ubuntu4.1) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-10ubuntu4.2) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-10ubuntu4.2) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.199

=== debian/changelog ===
grub2-signed (1.199) noble; urgency=medium

  * Rebuild against grub2 2.12~rc1-12ubuntu2

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 09 Nov 2023 16:40:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-10ubuntu4.2) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-10ubuntu4.2) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-12ubuntu2) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-12ubuntu2) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.202

=== debian/changelog ===
grub2-signed (1.202) noble; urgency=medium

  * Rebuild against grub2 2.12-1ubuntu7 (LP: #2057679) (LP: #2054127)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 04 Apr 2024 11:24:01 +0100

grub2-signed (1.201) noble; urgency=medium

  * Rebuild against grub2 2.12-1ubuntu1

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 30 Jan 2024 15:00:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12~rc1-12ubuntu2) [amd64], grub-efi-arm64-bin (>= 2.12~rc1-12ubuntu2) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu7) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu7) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.202.2

=== debian/changelog ===
grub2-signed (1.202.2) noble; urgency=medium

  * Rebuild against grub2 2.12-1ubuntu7.1 (LP: #2076651) (LP: #2073634)
  * Download exact version of grub2 tarball instead of current

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 16 Sep 2024 14:35:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu7) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu7) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu7.1) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu7.1) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.202.5

=== Makefile ===
include /usr/share/dpkg/default.mk

PLATFORM := UNKNOWN-PLATFORM
EFI_NAME := UNKNOWN-EFI-NAME

ifeq ($(DEB_HOST_ARCH),amd64)
PLATFORM := x86_64-efi
EFI_NAME := x64
endif

ifeq ($(DEB_HOST_ARCH),arm64)
PLATFORM := arm64-efi
EFI_NAME := aa64
endif

SIGNED := \
	$(GRUB2_BIN_VERSION)/grub$(EFI_NAME).efi.signed \
	$(GRUB2_BIN_VERSION)/gcd$(EFI_NAME).efi.signed \
	$(GRUB2_BIN_VERSION)/grubnet$(EFI_NAME).efi.signed

all: $(SIGNED)

$(SIGNED):
	./download-signed grub-efi-$(DEB_HOST_ARCH) $(GRUB2_BIN_VERSION) grub2 uefi

check:
	cmp $(GRUB2_BIN_VERSION)/grub$(EFI_NAME).efi /usr/lib/grub/$(PLATFORM)/monolithic/grub$(EFI_NAME).efi
	! ./is-revoked $(SIGNED)

install: $(SIGNED)
	install -d $(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed
	install -m0644 $(SIGNED) $(GRUB2_BIN_VERSION)/version \
		$(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed/

clean:
	rm -rf $(GRUB2_BIN_VERSION)/

=== debian/changelog ===
grub2-signed (1.202.5) noble; urgency=medium

  * Rebuild against grub2 2.12-1ubuntu7.3 (LP: #2055835)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 28 Mar 2025 10:14:13 +0000

grub2-signed (1.202.3) noble; urgency=medium

  * Rebuild against grub2 2.12-1ubuntu7.2

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 20 Jan 2025 10:13:29 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu7.1) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu7.1) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu7.3) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu7.3) [arm64], sbsigntool
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,14 @@
 ifeq ($(DEB_DISTRIBUTION), trusty)
 GRUB2_COMMON_VERSION:=2.02~beta2-9ubuntu1.22
 else ifeq ($(DEB_DISTRIBUTION), xenial)
-GRUB2_COMMON_VERSION:=2.02~beta2-36ubuntu3.33
+GRUB2_COMMON_VERSION:=2.02~beta2-36ubuntu3.31
 else ifeq ($(DEB_DISTRIBUTION), bionic)
-GRUB2_COMMON_VERSION:=2.02-2ubuntu8.25
+GRUB2_COMMON_VERSION:=2.02-2ubuntu8.23
 else
 GRUB2_COMMON_VERSION:=2.02+dfsg1-5
 endif
+
+export GRUB2_BIN_VERSION := $(shell dpkg-query -f '$${Version}\n' -W grub-efi-$(DEB_HOST_ARCH)-bin)
 
 %:
 	dh $@ --max-parallel=1
@@ -25,8 +27,8 @@
 	ln $(docdir)/changelog $(docdir)/changelog.Debian
 
 override_dh_gencontrol:
-	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat current/version) \
-		-Vgrub2:Version=$(shell cat current/version) \
+	dh_gencontrol -- -v$(DEB_VERSION)+$(GRUB2_BIN_VERSION) \
+		-Vgrub2:Version=$(GRUB2_BIN_VERSION) \
 		-Vgrub2-common:Version=$(GRUB2_COMMON_VERSION)
 
 override_dh_auto_install:

## grub2-signed 1.204

=== debian/changelog ===
grub2-signed (1.204) oracular; urgency=medium

  * Add mokutil to depends (LP: #1814187)
  * Rebuild against grub2 2.12-1ubuntu9

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 03 Jun 2024 14:56:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu7.3) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu7.3) [arm64], sbsigntool
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu9) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu9) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.209

=== debian/changelog ===
grub2-signed (1.209) oracular; urgency=medium

  * Rebuild against grub2 2.12-5ubuntu5

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 10 Sep 2024 09:51:29 +0100

grub2-signed (1.208) oracular; urgency=medium

  * Rebuild against grub2 2.12-5ubuntu4
  * Build depend on -unsigned instead of -bin

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 23 Jul 2024 09:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.12-1ubuntu9) [amd64], grub-efi-arm64-bin (>= 2.12-1ubuntu9) [arm64], sbsigntool, mokutil
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu5) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu5) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.209.1

=== debian/changelog ===
grub2-signed (1.209.1) oracular; urgency=medium

  * Rebuild against grub2 2.12-5ubuntu5.1 (LP: #2076651) (LP: #2084104)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 11 Oct 2024 11:30:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu5) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu5) [arm64], sbsigntool, mokutil
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu5.1) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu5.1) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.209.4

=== debian/changelog ===
grub2-signed (1.209.4) oracular; urgency=medium

  * Rebuild against grub2 2.12-5ubuntu5.3 (LP: #2055835)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 28 Mar 2025 10:19:28 +0000

grub2-signed (1.209.2) oracular; urgency=medium

  * Rebuild against grub2 2.12-5ubuntu5.2

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 16 Jan 2025 14:02:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu5.1) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu5.1) [arm64], sbsigntool, mokutil
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu5.3) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu5.3) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.212

=== debian/changelog ===
grub2-signed (1.212) plucky; urgency=medium

  * Rebuild against grub2 2.12.5-ubuntu11 (LP: #2106728)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 10 Apr 2025 15:34:12 +0100

grub2-signed (1.211) plucky; urgency=medium

  * Rebuild against grub2 2.12.5-ubuntu9

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 17 Mar 2025 11:50:25 +0000

grub2-signed (1.210) plucky; urgency=medium

  * Rebuild against grub2 2.12.5-ubuntu8

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 15 Jan 2025 14:33:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu5.3) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu5.3) [arm64], sbsigntool, mokutil
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu11) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu11) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.213

=== debian/changelog ===
grub2-signed (1.213) questing; urgency=medium

  * Rebuild against grub2 2.14~git20250718.0e36779-1ubuntu1

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 13 Aug 2025 09:48:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: grub2-signed
 Section: utils
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.12-5ubuntu11) [amd64], grub-efi-arm64-unsigned (>= 2.12-5ubuntu11) [arm64], sbsigntool, mokutil
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu1) [amd64], grub-efi-arm64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu1) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.214

=== debian/changelog ===
grub2-signed (1.214) questing; urgency=medium

  * Rebuild against grub2 2.14~git20250718.0e36779-1ubuntu4

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 11 Sep 2025 16:23:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu1) [amd64], grub-efi-arm64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu1) [arm64], sbsigntool, mokutil
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu4) [amd64], grub-efi-arm64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu4) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,6 @@
 GRUB2_COMMON_VERSION:=2.02+dfsg1-5
 endif
 
-export GRUB2_BIN_VERSION := $(shell dpkg-query -f '$${Version}\n' -W grub-efi-$(DEB_HOST_ARCH)-bin)
-
 %:
 	dh $@ --max-parallel=1
 
@@ -27,8 +25,8 @@
 	ln $(docdir)/changelog $(docdir)/changelog.Debian
 
 override_dh_gencontrol:
-	dh_gencontrol -- -v$(DEB_VERSION)+$(GRUB2_BIN_VERSION) \
-		-Vgrub2:Version=$(GRUB2_BIN_VERSION) \
+	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat current/version) \
+		-Vgrub2:Version=$(shell cat current/version) \
 		-Vgrub2-common:Version=$(GRUB2_COMMON_VERSION)
 
 override_dh_auto_install:

## grub2-signed 1.215

=== debian/changelog ===
grub2-signed (1.215) resolute; urgency=medium

  * Rebuild against grub2 2.14-2ubuntu1

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 05 Feb 2026 15:24:30 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu4) [amd64], grub-efi-arm64-unsigned (>= 2.14~git20250718.0e36779-1ubuntu4) [arm64], sbsigntool, mokutil
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-unsigned (>= 2.14-2ubuntu1) [amd64], grub-efi-arm64-unsigned (>= 2.14-2ubuntu1) [arm64], sbsigntool, mokutil
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel
